using Microsoft.AspNetCore.Mvc;
using System.Collections.Generic;
using System.Threading.Tasks;
using XYY.Common.Standard;
using static XYY.Common.Standard.QYWXAPI;

namespace XYY.Api.WarningNotice.Controllers
{
    [Route("[controller]/[action]")]
    [ApiController]
    public class QYWXAPIController : ControllerBase
    {
        public async Task<IActionResult> GetUserInfos()
        {
            QYWXAPI qYWXAPI = new QYWXAPI();
            var data = qYWXAPI.GetUserInfos();
            return Ok(data);
        }

        public async Task<IActionResult> GetCustomers(string userId)
        {
            QYWXAPI qYWXAPI = new QYWXAPI();
            var data = qYWXAPI.GetCustomers(userId);
            return Ok(data);
        }
    }
}
